n=24; h=1/(n+1); t=0:h:1; tol=1e-8;
A=diag(-2*ones(1,n))+diag(ones(1,n-1),1)+diag(ones(1,n-1),-1);
F=@(x)A*x+h^2*(exp(x)-5*cos(x));
dF=@(x)A+h^2*diag(exp(x)+5*sin(x));
v01=zeros(1,n)';
v1=NewtonSolve(F,dF,v01,100,tol);
v02=20*t(2:n+1).*(1-t(2:n+1)); v02=v02';
v2=NewtonSolve(F,dF,v02,100,tol);
v1=[0 v1' 0]; v2=[0 v2' 0];
plot(t,v1,'r',t,v2,'b','LineWidth',3);
xlabel('t'); ylabel('v(t)');